EmbodiFlowDocs
Get startedDataWorkflows and algorithmsTraining and deploymentDeveloper reference
  • Developer reference

Authentication

  • Authentication overview
  • API keys
  • Personal access tokens
  • Browser sessions

REST API

  • Using the REST API
  • All endpoints
  • Projects
    • Recordings
      • Upload
        • Episodes and versions
          • Annotation
            • Quality and tasks
              • Search
                • Workflows
                  • GET
                    List algorithm definitions
                  • POST
                    Create a algorithm definition
                  • GET
                    Get a algorithm definition
                  • GET
                    List revisions for a algorithm definition
                  • POST
                    Create a revision
                  • POST
                    Create a publication request
                  • POST
                    Create a revocation
                  • POST
                    Create a image ref validation
                  • GET
                    Get a container run
                  • GET
                    List log downloads for a container run
                  • GET
                    List outdated outputs for a project
                  • POST
                    Create a workflow run
                  • GET
                    List workflows for a version
                  • POST
                    Create a workflow backfill
                  • GET
                    List workflow bindings for a project
                  • PUT
                    Update a workflow binding
                  • POST
                    Create a workflow run plan
                  • GET
                    List workflow runs for a project
                  • POST
                    Create a workflow run
                  • GET
                    List recent quality jobs for a me
                  • GET
                    List workflow definitions
                  • POST
                    Create a workflow definition
                  • DELETE
                    Delete a workflow definition
                  • GET
                    Get a workflow definition
                  • PATCH
                    Update a workflow definition
                  • POST
                    Create a revision
                  • GET
                    Get a revision
                  • PUT
                    Update a revision
                  • PUT
                    Update a layout
                  • POST
                    Create a publication
                  • GET
                    Get a workflow run
                  • POST
                    Create a cancellation request
                  • GET
                    List container runs for a workflow run
                  • GET
                    List recordings for a workflow run
                  • POST
                    Create a rerun request
                  • GET
                    List steps for a workflow run
                  • GET
                    Get a workflow step run
                  • POST
                    Create a download session
                  • GET
                    List log tail for a workflow step run
                  • GET
                    List outputs for a workflow step run
                  • POST
                    Create a workflow validation
                • Algorithms
                  • Models
                    • Artifacts and export
                      • Billing and usage
                        • Team and governance
                          • Account and notifications
                            • Webhook endpoints

                              Events

                              • Outbound events
                              • Signature verification

                              Tools

                              • CLI
                              • SDK
                              • MCP

                              Updates

                              • Changelog

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. Developer reference
                              2. REST API
                              3. Workflows
                              4. Create a image ref validation

                              Create a image ref validation

                              POST
                              /v1/algorithm-definitions/image-ref-validations
                              curl -X POST 'https://api.embodiflow.io/v1/algorithm-definitions/image-ref-validations' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT' \
                                -H 'Content-Type: application/json' \
                                -d '{
                                  "imageRef": "string",
                                  "registryUrl": "string",
                                  "registryServer": "string",
                                  "registryUsername": "string",
                                  "registryPassword": "string"
                                }'

                              Authorization

                              Send a personal access token with every request.

                              • Authorization: Bearer PAT
                              Authentication guide

                              Request body

                              Content-Typeapplication/json
                              • imageRefstringrequired
                              • registryUrlstring | null
                              • registryServerstring | null
                              • registryUsernamestring | null
                              • registryPasswordstring | null

                              Responses

                              Success

                              • dataobjectrequired
                                • okbooleanrequired
                                  Allowed values
                                  true
                                • normalizedImageRefstringrequired
                              Response example
                              {
                                "data": {
                                  "ok": true,
                                  "normalizedImageRef": "string"
                                }
                              }
                              Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              Previous

                              POST /algorithm-definitions/{algorithmDefinitionId}/revisions/{revisionId}/revocations

                              Next

                              GET /container-runs/{id}

                              curl -X POST 'https://api.embodiflow.io/v1/algorithm-definitions/image-ref-validations' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT' \
                                -H 'Content-Type: application/json' \
                                -d '{
                                  "imageRef": "string",
                                  "registryUrl": "string",
                                  "registryServer": "string",
                                  "registryUsername": "string",
                                  "registryPassword": "string"
                                }'
                              Response example
                              Status code
                              201
                              ​
                              {
                                "data": {
                                  "ok": true,
                                  "normalizedImageRef": "string"
                                }
                              }